Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.proj
Interface EqualArc

All Superinterfaces:
  Projection, java.io.Serializable

All Known Implementing Classes:
  CADRG, LLXY

public interface EqualArc
extends Projection

A designator interface to let layers know that a Projection is an Equal Arc projection, meaning that the variations in latitide and longitude are constant.

Method Summary
`double` | `getXPixConstant()` Returns the x pixel constant of the projection.
`double` | `getYPixConstant()` Returns the y pixel constant of the projection.

Methods inherited from interface com.bbn.openmap.proj.Projection
`forward, forward, forward, forward, forward, forwardArc, forwardCircle, forwardLine, forwardPoly, forwardRaster, forwardRaw, forwardRect, getCenter, getHeight, getLowerRight, getMaxScale, getMinScale, getName, getProjectionID, getProjectionType, getScale, getScale, getUpperLeft, getWidth, inverse, inverse, inverse, inverse, isPlotable, isPlotable, makeClone, pan, pan`

Method Detail

### getXPixConstant

    public double getXPixConstant()

  Returns the x pixel constant of the projection. This was calcuated when the projection was created. Represents the number of pixels around the earth (360 degrees).

### getYPixConstant

    public double getYPixConstant()

  Returns the y pixel constant of the projection. This was calcuated when the projection was created. Represents the number of pixels from 0 to 90 degrees.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details